Loading...
Searching...
No Matches
gr::digital::adaptive_algorithm_lms Class Reference

`#include <gnuradio/digital/adaptive_algorithm_lms.h>`

## Public Types

typedef std::shared_ptr< adaptive_algorithm_lms > | sptr

## Public Member Functions

| ~adaptive_algorithm_lms () override
void | update_taps (gr_complex *taps, const gr_complex *in, const gr_complex error, const gr_complex decision, unsigned int num_taps) override
gr_complex | update_tap (const gr_complex tap, const gr_complex &u_n, const gr_complex err, const gr_complex decision) override
void | initialize_taps (std::vector< gr_complex > &taps) override
Public Member Functions inherited from gr::digital::adaptive_algorithm
virtual | ~adaptive_algorithm ()
| adaptive_algorithm (adaptive_algorithm_t alg_type, constellation_sptr cons)
adaptive_algorithm_sptr | base ()
virtual gr_complex | error_dd (gr_complex &wu, gr_complex &decision) const
virtual gr_complex | error_tr (const gr_complex &wu, const gr_complex &d_n) const

## Static Public Member Functions

static sptr | make (constellation_sptr cons, float step_size)

## Protected Member Functions

| adaptive_algorithm_lms (constellation_sptr cons, float step_size)

## Additional Inherited Members

Protected Attributes inherited from gr::digital::adaptive_algorithm
const adaptive_algorithm_t | d_algorithm_type
const constellation_sptr | d_constellation

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<adaptive_algorithm_lms> gr::digital::adaptive_algorithm_lms::sptr

## Constructor & Destructor Documentation

## adaptive_algorithm_lms()

gr::digital::adaptive_algorithm_lms::adaptive_algorithm_lms | ( | constellation_sptr | cons,
|  | float | step_size )

inline protected

References gr::digital::adaptive_algorithm::adaptive_algorithm(), and gr::digital::LMS.

Referenced by make().

## ~adaptive_algorithm_lms()

gr::digital::adaptive_algorithm_lms::~adaptive_algorithm_lms | ( |  | ) |

inline override

## Member Function Documentation

## initialize_taps()

void gr::digital::adaptive_algorithm_lms::initialize_taps | ( | std::vector< gr_complex > & | taps | ) |

inline override virtual

Reimplemented from gr::digital::adaptive_algorithm.

References taps.

## make()

sptr gr::digital::adaptive_algorithm_lms::make | ( | constellation_sptr | cons,
|  | float | step_size )

inline static

References adaptive_algorithm_lms().

## update_tap()

gr_complex gr::digital::adaptive_algorithm_lms::update_tap | ( | const gr_complex | tap,
|  | const gr_complex & | u_n,
|  | const gr_complex | err,
|  | const gr_complex | decision )

inline override virtual

Implements gr::digital::adaptive_algorithm.

## update_taps()

void gr::digital::adaptive_algorithm_lms::update_taps | ( | gr_complex * | taps,
|  | const gr_complex * | in,
|  | const gr_complex | error,
|  | const gr_complex | decision,
|  | unsigned int | num_taps )

inline override virtual

Reimplemented from gr::digital::adaptive_algorithm.

References taps.

The documentation for this class was generated from the following file:

- adaptive_algorithm_lms.h